################################################################################
#
# UHTTPD REST API PLUGIN
#
################################################################################

UHTTPD_REST_API_PLUGIN_VERSION:= 1.0.0

UHTTPD_REST_API_PLUGIN_SITE = $(TOPDIR)/../../src/plugins/uhttpd/uhttpd-rest-api/builders/cmake

UHTTPD_REST_API_PLUGIN_SITE_METHOD = local
UHTTPD_REST_API_PLUGIN_INSTALL_TARGET = YES
UHTTPD_REST_API_PLUGIN_INSTALL_STAGING = YES

UHTTPD_REST_API_PLUGIN_DEPENDENCIES = uhttpd-3p ubus json-c libfmt libubus-cpp

UHTTPD_REST_API_PLUGIN_CONF_OPTS += -DworkspaceRoot=$(TOPDIR)/../.. -DMODULE_PATH=$(TOPDIR)/../../bsp/cmake-modules -DCMAKE_BUILD_TYPE=$(BUILD_TYPE)

$(eval $(cmake-package))
